__gnu_parallel::__min_element_reduct< _Compare, _It > Struct Template Reference

`#include <for_each_selectors.h>`

## Public Member Functions

| __min_element_reduct (_Compare &__c)
_It | operator() (_It __x, _It __y)

## Public Attributes

_Compare & | __comp

## Detailed Description

template<typename _Compare, typename _It>
struct __gnu_parallel::__min_element_reduct< _Compare, _It >

Reduction for finding the maximum element, using a comparator.

Definition at line 307 of file for_each_selectors.h.

## Constructor & Destructor Documentation

## __min_element_reduct()

template<typename _Compare, typename _It>

__gnu_parallel::__min_element_reduct< _Compare, _It >::__min_element_reduct | ( | _Compare & | __c | ) |

inline explicit

Definition at line 312 of file for_each_selectors.h.

## Member Function Documentation

## operator()()

template<typename _Compare, typename _It>

_It __gnu_parallel::__min_element_reduct< _Compare, _It >::operator() | ( | _It | __x,
|  | _It | __y )

inline

Definition at line 315 of file for_each_selectors.h.

## Member Data Documentation

## __comp

template<typename _Compare, typename _It>

_Compare& __gnu_parallel::__min_element_reduct< _Compare, _It >::__comp

Definition at line 309 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h